Bug 115767 - [CSS Exclusions] Simple shape-outside tests fail when subpixel layout is disabled
Summary: [CSS Exclusions] Simple shape-outside tests fail when subpixel layout is disa...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Hans Muller
URL:
Keywords:
Depends on:
Blocks: 115292
  Show dependency treegraph
 
Reported: 2013-05-07 15:48 PDT by Hans Muller
Modified: 2013-05-13 12:36 PDT (History)
1 user (show)

See Also:


Attachments
Patch (61.66 KB, patch)
2013-05-10 15:22 PDT, Hans Muller
giles_joplin: commit-queue+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hans Muller 2013-05-07 15:48:28 PDT
The following shape-outside tests fail when subpixel layout is disabled:

fast/exclusions/shape-outside-floats/shape-outside-floats-simple-circle.html
fast/exclusions/shape-outside-floats/shape-outside-floats-simple-ellipse.html
fast/exclusions/shape-outside-floats/shape-outside-floats-simple-rounded-rectangle.html

In all cases the failure occurs for the float:right test.

Since the float left and right cases are independent, it would simplify debugging if the tests were split into right and left versions. Rendering fewer and larger characters would also simplify debugging, without reducing the value of the tests.
Comment 1 Hans Muller 2013-05-10 15:22:09 PDT
Created attachment 201431 [details]
Patch

The overall goal of this change was to restore the (last) four excluded exclusions ref-tests by making them work correctly when subpixel layout is disabled. All of the tests were substantially simplified, as was the supporting javascript code. The original shape-outside-floats-simple-rounded-rectangle test was replaced by three separate tests because the original was bigger then then the 800x600 limit and because it unncessarily combined three indepedent test cases.

Note that the original description left out one of the ref-tests.  The complete list is:

fast/exclusions/shape-outside-floats/shape-outside-floats-non-zero-y.html
fast/exclusions/shape-outside-floats/shape-outside-floats-simple-circle.html
fast/exclusions/shape-outside-floats/shape-outside-floats-simple-ellipse.html
fast/exclusions/shape-outside-floats/shape-outside-floats-simple-rounded-rectangle.html
Comment 2 Dirk Schulze 2013-05-13 11:52:04 PDT
Comment on attachment 201431 [details]
Patch

A lot of changes. I partly trust that you did a good job here :/. r=me
Comment 3 WebKit Commit Bot 2013-05-13 12:36:28 PDT
Comment on attachment 201431 [details]
Patch

Clearing flags on attachment: 201431

Committed r150032: <http://trac.webkit.org/changeset/150032>
Comment 4 WebKit Commit Bot 2013-05-13 12:36:30 PDT
All reviewed patches have been landed.  Closing bug.